MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029048Open CASCADE[OCCT] OCCT:DRAWpublic2017-08-24 15:122017-09-29 16:30
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029048: Draw - avoid setting default paths to scripts and test data folders if set externally
DescriptionOn start, DRAW sets default paths to scripts (subfolder tests) and test data (subfolder data), so that tests can be launched without additional settings.

This is OK in the case of absence of any settings by the start time; however currently default paths are added even if corresponding variables already exist in the environment. This is not convenient since it does not allow defining these variables externally before launching DRAW.

Default paths should not be added if variable already exist.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069843)
git (administrator)
2017-08-24 15:14

Branch CR29048 has been created by abv.

SHA-1: 952fd51aa80ba4668a1dd0ed7767ba1a0a063dad


Detailed log of new commits:

Author: abv
Date: Thu Aug 24 15:13:43 2017 +0300

    0029048: Draw - avoid setting default paths to scripts and test data folders if set externally
    
    Avoid adding default paths to test scripts and data when DRAW is started if relevant variables (CSF_TestStriptsPath and CSF_TestDataPath) are already defined in the environment.
(0069844)
abv (manager)
2017-08-24 15:15

Fix pushed to CR29048; please review
(0069871)
bugmaster (administrator)
2017-08-25 12:30

Andrey,

Fix cause lack of env(CSF_TestDataPath) variable

http://jenkins-test-10.nnov.opencascade.com/view/IR-2017-08-24-IR-2017-08-24-INV/view/TESTING/job/IR-2017-08-24-IR-2017-08-24-INV-Products-Windows-64-VC10-opt-test/5/console [^]
(0070057)
bugmaster (administrator)
2017-08-29 15:12

Fix have been taken in part of CSF_TestScriptPath variable
(0070203)
git (administrator)
2017-09-04 18:20

Branch CR29048 has been deleted by kgv.

SHA-1: 952fd51aa80ba4668a1dd0ed7767ba1a0a063dad

- Related Changesets
occt: master 2fa4d230
Timestamp: 2017-08-24 12:13:43
Author: abv
Committer: bugmaster
Details ] Diff ]
0029048: Draw - avoid setting default paths to scripts and test data folders if set externally

Avoid adding default paths to test scripts when DRAW is started if relevant variables (CSF_TestStriptsPath) are already defined in the environment.
mod - src/DrawResources/DrawDefault Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-24 15:12 abv New Issue
2017-08-24 15:12 abv Assigned To => apn
2017-08-24 15:14 git Note Added: 0069843
2017-08-24 15:15 abv Note Added: 0069844
2017-08-24 15:15 abv Assigned To apn => bugmaster
2017-08-24 15:15 abv Status new => resolved
2017-08-24 15:15 abv Steps to Reproduce Updated View Revisions
2017-08-24 15:35 bugmaster Status resolved => reviewed
2017-08-25 12:30 bugmaster Note Added: 0069871
2017-08-25 12:30 bugmaster Status reviewed => feedback
2017-08-29 15:12 bugmaster Note Added: 0070057
2017-08-29 15:12 bugmaster Status feedback => tested
2017-08-29 18:07 bugmaster Test case number => Not required
2017-08-31 18:37 bugmaster Changeset attached => occt master 2fa4d230
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070203
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:30 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker